lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master c5d4a99 17/30: Show config.log if configure s


From: Greg Chicares
Subject: [lmi-commits] [lmi] master c5d4a99 17/30: Show config.log if configure step in the CI build fails
Date: Wed, 24 Mar 2021 15:31:09 -0400 (EDT)

branch: master
commit c5d4a99d8d465ee06f9a970e302ce93199160514
Author: Vadim Zeitlin <vadim@tt-solutions.com>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Show config.log if configure step in the CI build fails
    
    This is useful for remotely debugging the build problems.
---
 .github/workflows/ci.yml | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 41dc7c0..ac712b2 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -177,7 +177,16 @@ jobs:
             CPPFLAGS=-I/opt/lmi/local/include \
             LDFLAGS=-L/opt/lmi/local/${LMI_COMPILER}_${LMI_TRIPLET}/lib \
             
PKG_CONFIG_PATH=/opt/lmi/local/${LMI_COMPILER}_${LMI_TRIPLET}/lib/pkgconfig \
-            --with-boost-headers=/opt/lmi/third_party/src/boost
+            --with-boost-headers=/opt/lmi/third_party/src/boost \
+              || err=$?
+
+          if [ -n "$err" ]; then
+            echo '*** Configuring failed, contents of config.log follows: ***'
+            echo '-----------------------------------------------------------'
+            cat config.log
+            echo '-----------------------------------------------------------'
+            exit $err
+          fi
 
       - name: Build lmi (autotools)
         if: matrix.autotools



reply via email to

[Prev in Thread] Current Thread [Next in Thread]